Subject: bug#55011: let user drop into REPL from installer

From: raingloom <[email-masked]>
Date: Tue, 19 Apr 2022 01:23:10 +0200

I tried installing Guix with the installer, mostly to give LUKS a try
in a low effort way, but also to hopefully find some bugs. I succeeded
in the latter so far. :)

I did a manual partitioning, with an encrypted BTRFS root and an ext4
/boot. The layout was left over from a previous failed encrypted
install with automatic partitioning.

Long story short I got an error related to mkfs.btrfs, this I think has
already been reported, but Mumi's search is not great so I haven't
verified that yet.

The important thing is that I'd like not to reboot or start the
installation from scratch. Scheme has call/cc and continuable
exceptions and whatever, so could we let users at least attempt to fix
these errors manually?

At the very least it would let them gather more info for debugging.